package com.pcloud.common.core.dto;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * @Description：TODO
 * @Author：lixg
 * @Date：2018/6/11
 * @Version：1.0
 */
public class PromotionExpireDto implements Serializable {

    private static final long serialVersionUID = -1731453672333453831L;

    /**
     * 唯一标识
     */
    private String uniqueNum;

    /**
     * 用户ID
     */
    private Long userId;

    /**
     * 赠品list
     */
    private List<PromotionGiftDto> gifts;

    public String getUniqueNum() {
        return uniqueNum;
    }

    public void setUniqueNum(String uniqueNum) {
        this.uniqueNum = uniqueNum;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public List<PromotionGiftDto> getGifts() {
        return gifts;
    }

    public void setGifts(List<PromotionGiftDto> gifts) {
        this.gifts = gifts;
    }

    @Override
    public String toString() {
        return "PromotionExpireDto{" +
                "uniqueNum='" + uniqueNum + '\'' +
                ", userId=" + userId +
                ", gifts=" + gifts +
                '}';
    }
}
